# Dimension Class Reference

Describes a dimension in a routing space. More...

`#include <Dimension.hh>`

Inheritance diagram for Dimension:

[legend]

List of all members.

## Public Member Functions
| Dimension (DimensionHandle dimensionHandle)
| Create a dimension object from handle.
## Static Public Member Functions
static void | setLowerBound (ULong lowerBound)
| Set dimension lower bound.
static void | setUpperBound (ULong upperBound)
| Set dimension upper bound.
static ULong | getLowerBound ()
| Get dimension lower bound.
static ULong | getUpperBound ()
| Get dimension upper bound.
## Static Private Attributes
static ULong | axisLowerBound = 0
static ULong | axisUpperBound = LONG_MAX

## Detailed Description

Describes a dimension in a routing space.

See also:
  RoutingSpace

Definition at line 39 of file Dimension.hh.

## Constructor & Destructor Documentation

Dimension | ( | DimensionHandle | dimensionHandle | ) |

Create a dimension object from handle.

Dimension are specified as subelement of the routing space section of a FED file. A dimension is a single axis segment with fixed lower and upper bound. All dimensions of a Federation should share the same lower and upper bound.

Parameters:

  `[in]` | dimensionHandle | the dimension object handle

Definition at line 33 of file Dimension.cc.

References Handled::handle.

## Member Function Documentation

void setLowerBound | ( | ULong | lowerBound | ) | `[static]`

Set dimension lower bound.

Parameters:

  `[in]` | lowerBound | the lower bound

Definition at line 41 of file Dimension.cc.

References Dimension::axisLowerBound.

void setUpperBound | ( | ULong | upperBound | ) | `[static]`

Set dimension upper bound.

Parameters:

  `[in]` | upperBound | the upper bound

Definition at line 48 of file Dimension.cc.

References Dimension::axisUpperBound.

static ULong getLowerBound | ( |  | ) | `[inline, static]`

Get dimension lower bound.

Returns:
  the lower bound

Definition at line 69 of file Dimension.hh.

References Dimension::axisLowerBound.

Referenced by Extent::Extent().

static ULong getUpperBound | ( |  | ) | `[inline, static]`

Get dimension upper bound.

Returns:
  the upper bound

Definition at line 75 of file Dimension.hh.

References Dimension::axisUpperBound.

Referenced by Extent::Extent().

## Member Data Documentation

ULong axisLowerBound = 0`[static, private]`

Definition at line 78 of file Dimension.hh.

Referenced by Dimension::getLowerBound(), and Dimension::setLowerBound().

ULong axisUpperBound = LONG_MAX`[static, private]`

Definition at line 79 of file Dimension.hh.

Referenced by Dimension::getUpperBound(), and Dimension::setUpperBound().

The documentation for this class was generated from the following files:

- Dimension.hh
- Dimension.cc